Hammer CLI - Feature #7520

Config group commands and host/host group association
09/18/2014 06:27 AM - Dominic Cleal

Status: Closed

Priority: Normal

Assignee: Ondrej Prazak

Category: Foreman commands (obsolete)

Target version: hammer-cli-foreman-0.10.0

Difficulty: Fixed in Releases:

Triaged: Found in Releases:

Bugzilla link: 1320091 In Kanboard:

Pull request: https://github.com/theforeman/hammer-cl | Red Hat JIRA:
i-foreman/pull/276

Team Backlog:

Description

Hammer is missing functionality around config groups, which were introduced in Foreman 1.5.
It should be able to:

1. perform CRUD operations on config groups themselves: http://theforeman.org/api/apidoc/v2/config_groups.html
2. manage associations between config groups and Puppet classes (outside of Puppet environments)

3. manage associations between hosts and config groups

4. manage associations between host groups and config groups

Related issues:

Related to Foreman - Feature #4204: assignation of multiple hostgroups to a host Closed 01/28/2014
Related to Hammer CLI - Bug #22814: Hammer config group and host group associ... Closed
Blocked by Foreman - Bug #12599: Missing API for associating config groups wi... Closed 11/25/2015

Associated revisions

Revision f73a7de2 - 02/08/2017 06:43 AM - Ondrej Prazak
Fixes #7520 - Add config group commands

History

#1 - 09/18/2014 06:27 AM - Dominic Cleal
- Related to Feature #4204: assignation of multiple hostgroups to a host added

#2 - 11/25/2015 05:47 AM - Dominic Cleal
- Blocked by Bug #12599: Missing API for associating config groups with hosts and hostgroups added

#3 - 03/22/2016 06:04 AM - Tomer Brisker
- Bugzilla link set to 1320091

#4 - 11/18/2016 03:01 AM - Marek Hulan

- Target version set to 115

#5 - 01/10/2017 08:34 AM - Marek Hulan

- Target version changed from 115to0 1.11.2

#6 - 01/12/2017 03:45 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ondrej Prazak

- Pull request https://github.com/theforeman/hammer-cli-foreman/pull/276 added
http://theforeman.org/api/apidoc/v2/config_groups.html

#7 - 02/08/2017 07:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset hammer-cli-foreman|f73a7de24d16e91af66fad174245a03c44b556fb.

#8 - 03/13/2017 12:02 PM - Tomas Strachota

- translation missing: en.field_release set to 234

#9 - 03/08/2018 03:31 PM - Conor McGarvey
- Related to Bug #22814: Hammer config group and host group association added
